# Raspberry Pi NAS

Ansible configuration repository for my Raspberry Pi's.

## Initial setup for new systems

1. Flash [Debian Raspberry Pi](https://raspi.debian.net/) on the SD card.
2. Configure `/boot/firmware/sysconf.txt`
    1. Set `hostname` to the desired name
    2. Set `root_authorized_key` to the contents of the current computer's
      public SSH key
3. Put SD card in Pi and boot
4. Connect Pi to wired internet
5. Determine IP address given to the new Pi
6. Add this IP address to the `initial-hosts.ini` file, along with the
   `static_ip` host var set to the desired static IP address
8. Comment out `ansible_ssh_user` in `group_vars/all/vars.yml`, as this
   overwrites the one set in the hosts file
9. Run `ansible-playbook -i initial-hosts.ini first_run.yml`. This command will
   hang at the `restart networking` step; at this point you can Ctrl-C.
